Loading...
Searching...
No Matches
RDKit::KekulizeException Class Reference

`#include <SanitException.h>`

Inheritance diagram for RDKit::KekulizeException:

## Public Member Functions

| KekulizeException (const char *msg, std::vector< unsigned int > indices)
| KekulizeException (const std::string &msg, std::vector< unsigned int > indices)
| KekulizeException (const KekulizeException &other)
const std::vector< unsigned int > & | getAtomIndices () const
| ~KekulizeException () noexcept override
MolSanitizeException * | copy () const override
std::string | getType () const override
Public Member Functions inherited from RDKit::MolSanitizeException
| MolSanitizeException (const char *msg)
| MolSanitizeException (std::string msg)
| MolSanitizeException (const MolSanitizeException &other)
const char * | what () const noexcept override
| ~MolSanitizeException () noexcept override

## Protected Attributes

std::vector< unsigned int > | d_atomIndices
Protected Attributes inherited from RDKit::MolSanitizeException
std::string | d_msg

## Detailed Description

Definition at line 97 of file SanitException.h.

## Constructor & Destructor Documentation

## KekulizeException() [1/3]

RDKit::KekulizeException::KekulizeException | ( | const char * | msg,
|  | std::vector< unsigned int > | indices )

inline

Definition at line 99 of file SanitException.h.

References d_atomIndices, and RDKit::MolSanitizeException::MolSanitizeException().

Referenced by copy(), and KekulizeException().

## KekulizeException() [2/3]

RDKit::KekulizeException::KekulizeException | ( | const std::string & | msg,
|  | std::vector< unsigned int > | indices )

inline

Definition at line 101 of file SanitException.h.

References d_atomIndices, and RDKit::MolSanitizeException::MolSanitizeException().

## KekulizeException() [3/3]

RDKit::KekulizeException::KekulizeException | ( | const KekulizeException & | other | ) |

inline

Definition at line 103 of file SanitException.h.

References d_atomIndices, KekulizeException(), and RDKit::MolSanitizeException::MolSanitizeException().

## ~KekulizeException()

RDKit::KekulizeException::~KekulizeException | ( |  | ) |

inline override noexcept

Definition at line 108 of file SanitException.h.

## Member Function Documentation

## copy()

MolSanitizeException * RDKit::KekulizeException::copy | ( |  | ) | const

inline override virtual

Reimplemented from RDKit::MolSanitizeException.

Definition at line 109 of file SanitException.h.

References KekulizeException(), and RDKit::MolSanitizeException::MolSanitizeException().

## getAtomIndices()

const std::vector< unsigned int > & RDKit::KekulizeException::getAtomIndices | ( |  | ) | const

inline

Definition at line 105 of file SanitException.h.

References d_atomIndices.

## getType()

std::string RDKit::KekulizeException::getType | ( |  | ) | const

inline override virtual

Reimplemented from RDKit::MolSanitizeException.

Definition at line 112 of file SanitException.h.

## Member Data Documentation

## d_atomIndices

std::vector<unsigned int> RDKit::KekulizeException::d_atomIndices

protected

Definition at line 115 of file SanitException.h.

Referenced by getAtomIndices(), KekulizeException(), KekulizeException(), and KekulizeException().

The documentation for this class was generated from the following file:

- SanitException.h